OBJEXT = .o
CPPEXT = .cpp
HDREXT = .h

COMPILE = g++ -c
COMPILE_FLAGS_DEBUG = -g
COMPILE_FLAGS_OPTIMIZE = -O4
COMPILE_FLAGS = -Iinc -DCAIRO -I/usr/include/cairo

ifdef DEBUG
COMPILE_FLAGS += $(COMPILE_FLAGS_DEBUG)
else
COMPILE_FLAGS += $(COMPILE_FLAGS_OPTIMIZE)
endif

ifdef PROFILE
COMPILE_FLAGS += -pg -g
endif

LINK = g++ -o
LINK_FLAGS_DEBUG = -g
LINK_FLAGS_OPTIMIZE = -O4
LINK_FLAGS = -lm -lbz2 -lz

ifdef DEBUG
LINK_FLAGS += $(LINK_FLAGS_DEBUG)
else
LINK_FLAGS += $(LINK_FLAGS_OPTIMIZE)
endif

ifdef PROFILE
LINK_FLAGS += -pg -g
endif

LINK_FLAGS_CAIRO = $(LINK_FLAGS) -lcairo -DCAIRO -I/usr/include/cairo

REMOVE = rm -f
REMOVE_RECURSIVE = rm -rf

COPY = cp

MAKE = make -C

CHDIR = cd

